unit I87000;

interface

type PSingle=^Single;
type PWord=^Word;
type PDWord=^LongInt;


// Digital Input/Output
function DigitalOut_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function DigitalBitOut_87K( dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function DigitalOutReadBack_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function DigitalIn_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function DigitalInLatch_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function ClearDigitalInLatch_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;

// Counter
function DigitalInCounterRead_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function ClearDigitalInCounter_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;

// Analog Input/Output
function AnalogOut_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;
function AnalogOutReadBack_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;

// configuration
function ReadConfigurationStatus_87K(dwBuf:PDWord; fBuf:PSingle; szSend:PChar; szReceive:PChar): Word; StdCall;


// **********************************************************
// **********************************************************
implementation


// Digital Input/Output
function DigitalOut_87K;                external 'I7000.DLL' name 'DigitalOut_87K';
function DigitalBitOut_87K;             external 'I7000.DLL' name 'DigitalBitOut_87K';
function DigitalOutReadBack_87K;        external 'I7000.DLL' name 'DigitalOutReadBack_87K';
function DigitalIn_87K;                 external 'I7000.DLL' name 'DigitalIn_87K';
function DigitalInLatch_87K;            external 'I7000.DLL' name 'DigitalInLatch_87K';
function ClearDigitalInLatch_87K;       external 'I7000.DLL' name 'ClearDigitalInLatch_87K';

// Counter
function DigitalInCounterRead_87K;      external 'I7000.DLL' name 'DigitalInCounterRead_87K';
function ClearDigitalInCounter_87K;     external 'I7000.DLL' name 'ClearDigitalInCounter_87K';

// Analog Input/Output
function AnalogOut_87K;                 external 'I7000.DLL' name 'AnalogOut_87K';
function AnalogOutReadBack_87K;         external 'I7000.DLL' name 'AnalogOutReadBack_87K';

// configuration
function ReadConfigurationStatus_87K;   external 'I7000.DLL' name 'ReadConfigurationStatus_87K';


end.

